# Ansible Managed File
frr defaults datacenter
hostname leaf01
log syslog informational
zebra nexthop proto only
service integrated-vtysh-config
!
ip pim rp 10.10.100.100 224.0.0.0/4
ip pim ecmp
ip pim keep-alive-timer 3600
interface lo
  ip igmp
  ip pim
  ip pim use-source 10.10.10.1
interface swp51
  evpn mh uplink
  ip pim
interface swp52
  evpn mh uplink
  ip pim
interface swp53
  evpn mh uplink
  ip pim
interface swp54
  evpn mh uplink
  ip pim
interface bond1
  evpn mh es-df-pref 50000
  evpn mh es-id 1
  evpn mh es-sys-mac 44:38:39:BE:EF:AA
interface bond2
  evpn mh es-df-pref 50000
  evpn mh es-id 2
  evpn mh es-sys-mac 44:38:39:BE:EF:AA
interface bond3
  evpn mh es-df-pref 50000
  evpn mh es-id 3
  evpn mh es-sys-mac 44:38:39:BE:EF:AA
vrf mgmt
 ip route 0.0.0.0/0 192.168.200.1
 exit-vrf
!
vrf RED
 vni 4001
 exit-vrf
!
vrf BLUE
 vni 4002
 exit-vrf
!
!
router bgp 65101
 bgp router-id 10.10.10.1
 neighbor underlay peer-group
 neighbor underlay remote-as external
 neighbor swp51 interface peer-group underlay
 neighbor swp52 interface peer-group underlay
 neighbor swp53 interface peer-group underlay
 neighbor swp54 interface peer-group underlay
 !
 !
 address-family ipv4 unicast
  redistribute connected
 exit-address-family
 !
 address-family l2vpn evpn
  neighbor underlay activate
  advertise-all-vni
 exit-address-family
!
router bgp 65101 vrf RED
 bgp router-id 10.10.10.1
 !
 address-family ipv4 unicast
  redistribute connected
 exit-address-family
 !
 address-family l2vpn evpn
  advertise ipv4 unicast
 exit-address-family
!
router bgp 65101 vrf BLUE
 bgp router-id 10.10.10.1
 !
 address-family ipv4 unicast
  redistribute connected
 exit-address-family
 !
 address-family l2vpn evpn
  advertise ipv4 unicast
 exit-address-family
!
!
line vty
!
